package io.renren.modules.admin.controller;

import java.util.Arrays;
import java.util.Map;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.entity.DataBaseEntity;
import io.renren.modules.admin.service.DataBaseService;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.R;

/**
 * 
 *
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@RestController
@RequestMapping("admin/database")
public class DataBaseController {
    @Autowired
    private DataBaseService dataBaseService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    @RequiresPermissions("admin:database:list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = dataBaseService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    @RequiresPermissions("admin:database:info")
    public R info(@PathVariable("id") Long id){
		DataBaseEntity dataBase = dataBaseService.getById(id);

        return R.ok().put("dataBase", dataBase);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    @RequiresPermissions("admin:database:save")
    public R save(@RequestBody DataBaseEntity dataBase){
		dataBaseService.save(dataBase);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    @RequiresPermissions("admin:database:update")
    public R update(@RequestBody DataBaseEntity dataBase){
		dataBaseService.updateById(dataBase);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    @RequiresPermissions("admin:database:delete")
    public R delete(@RequestBody Long[] ids){
		dataBaseService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
